For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • Custom Model Training
    • API Pricing
    • API Status
  • API Reference
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
API Reference

Describe

POST
https://api.ideogram.ai/describe
POST
/describe
$curl -X POST https://api.ideogram.ai/describe \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F image_file=@<file1>
1{
2 "descriptions": [
3 {
4 "text": "A meticulously illustrated cat with striped patterns, sitting upright. The cat's eyes are a captivating shade of yellow, and it appears to be gazing intently at something. The background consists of abstract, swirling patterns in shades of black, white, and beige, creating an almost fluid or wavy appearance. The cat is positioned in the foreground, with the background elements fading into the distance, giving a sense of depth to the image."
5 }
6 ]
7}
Describe an image. Supported image formats include JPEG, PNG, and WebP.
Was this page helpful?
Previous

Generate (legacy)

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Request

This endpoint expects a multipart form containing a file.
image_filefileRequired

An image binary (max size 10MB); only JPEG, WebP and PNG formats are supported at this time.

describe_model_versionenumOptionalDefaults to V_3

The model version to use for describing images. Defaults to V_3.

Allowed values:

Response

Description(s) created successfully.

descriptionslist of objects
A collection of descriptions for given content.

Errors

400
Bad Request Error
422
Unprocessable Entity Error
429
Too Many Requests Error